[tool.poetry]
name = "chem-kit"
version = "0.1.6"
description = "A chemical toolbox based on RDKit"
authors = ["Yann Beauxis <dev@yannbeauxis.net>"]
license = "GPL-3.0-only"
homepage = "https://gitlab.com/metwork/chem-kit"
repository = "https://gitlab.com/metwork/chem-kit"
documentation = "http://chem-kit.metwork.science"
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.7.1"
pandas = "^1.2.1"
numpy = "^1.19.5"
ipython = "^7.21.0"
pydantic = "^1.8.1"
Pillow = "^8.2.0"

[tool.poetry.dev-dependencies]
jupyterlab = "^3.0.6"
pytest = "^6.2.2"
pytest-cov = "^2.11.1"
rope = "^0.18.0"
pylint = "^2.7.2"
black = "^20.8b1"
pytest-datadir = "^1.3.1"
requests = "^2.25.1"
mkdocs = "^1.1.2"
mkdocstrings = "^0.15.0"
mkdocs-material = "^7.0.6"
markdown-include = "^0.6.0"
pymdown-extensions = "^8.1.1"
mknotebooks = "^0.6.2"
flake8 = "^3.9.0"
mypy = "^0.910"
types-setuptools = "^57.0.0"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
